# Bind2FeatureNegotiatorInterface class abstract

An interface that allows registering against Bind2's feature list in order to negotiate features inline with Bind2.

Implementers
  - Bind2FeatureNegotiator
  - CSINegotiator
  - StreamManagementNegotiator

## Constructors

Bind2FeatureNegotiatorInterface ()

## Properties

hashCode → int
  The hash code for this object.
  no setterinherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setterinherited

## Methods

noSuchMethod (Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
onBind2FeaturesReceived (List <String> bind2Features) → Future <List <XMLNode>>
  Called by the Bind2 negotiator when Bind2 features are received. The returned XMLNodes are added to Bind2's bind request.
onBind2Success (XMLNode result) → Future <void>
  Called by the Bind2 negotiator when Bind2 results are received.
toString () → String
  A string representation of this object.
  inherited

## Operators

operator == (Object other) → bool
  The equality operator.
  inherited